Skip to main content
GET
/
v1
/
hubspot
/
sync-logs
Listar histórico de sincronização
curl --request GET \
  --url https://api.nuvia.ai/v1/hubspot/sync-logs \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "_id": "<string>",
      "event_type": "<string>",
      "direction": "<string>",
      "status": "<string>",
      "object_type": "<string>",
      "summary": "<string>",
      "createdAt": "<string>",
      "internal_id": "<string>",
      "external_id": "<string>",
      "contact_name": "<string>",
      "contact_phone": "<string>",
      "deal_name": "<string>",
      "details": {},
      "error": "<string>",
      "duration_ms": 123,
      "attempt": 123
    }
  ],
  "pagination": {
    "total_count": 123,
    "page": 123,
    "rowsPerPage": 123
  }
}

Authorizations

Authorization
string
header
required

Token JWT de autenticação

Query Parameters

page
string
default:1
rowsPerPage
string
default:10
event_type
string
direction
enum<string>
Available options:
APP_TO_HUBSPOT,
HUBSPOT_TO_APP
status
enum<string>
Available options:
SUCCESS,
FAILED
object_type
enum<string>
Available options:
CONTACT,
DEAL
from
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
to
string<date-time>
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$

Response

Histórico retornado com sucesso

items
object[]
required
pagination
object
required